## com.lowagie.text
Class Chapter

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.lowagie.text.Section
                      com.lowagie.text.Chapter

All Implemented Interfaces:
  Element, TextElementArray, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  ChapterAutoNumber

    public class Chapter

extends Section
implements TextElementArray

A `Chapter` is a special `Section`.

A chapter number has to be created using a `Paragraph` as title and an `int` as chapter number. The chapter number is shown be default. If you don't want to see the chapter number, you have to set the numberdepth to 0.

Example:

>      Paragraph title2 = new Paragraph("This is Chapter 2", FontFactory.getFont(FontFactory.HELVETICA, 18, Font.BOLDITALIC, new Color(0, 0, 255)));
>      Chapter chapter2 = new Chapter(title2, 2);
>      chapter2.setNumberDepth(0);
>      Paragraph someText = new Paragraph("This is some text");
>      chapter2.add(someText);
>      Paragraph title21 = new Paragraph("This is Section 1 in Chapter 2", FontFactory.getFont(FontFactory.HELVETICA, 16, Font.BOLD, new Color(255, 0, 0)));
>      Section section1 = chapter2.addSection(title21);
>      Paragraph someSectionText = new Paragraph("This is some silly paragraph in a chapter and/or section. It contains some text to test the functionality of Chapters and Section.");
>      section1.add(someSectionText);

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.lowagie.text.Section
`bookmarkOpen, bookmarkTitle, indentationLeft, indentationRight, numberDepth, numbers, sectionIndent, subsections, title`

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`Chapter(Paragraph title, int number)` Constructs a new `Chapter`.
`Chapter(java.util.Properties attributes, int number)` Creates a new `Chapter` following a set of attributes.
`Chapter(java.lang.String title, int number)` Constructs a new `Chapter`.

Method Summary
`static boolean` `isTag(java.lang.String tag)` Checks if a given tag corresponds with this object.
`int` `type()` Gets the type of the text element.

Methods inherited from class com.lowagie.text.Section

`add, add, addAll, addSection, addSection, addSection, addSection, addSection, addSection, addSection, addSection, addSection, depth, getBookmarkTitle, getChunks, indentation, indentationLeft, indentationRight, isBookmarkOpen, isChapter, isSection, isTitle, numberDepth, process, set, setBookmarkOpen, setBookmarkTitle, setIndentation, setIndentationLeft, setIndentationRight, setNumberDepth, setTitle, title`

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.TextElementArray
`add`

Methods inherited from interface com.lowagie.text.Element
`getChunks, process, toString`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### Chapter

    public Chapter(Paragraph title,
                   int number)

  Constructs a new `Chapter`.

  Parameters:
    `title` - the Chapter title (as a `Paragraph`)
    `number` - the Chapter number

### Chapter

    public Chapter(java.lang.String title,
                   int number)

  Constructs a new `Chapter`.

  Parameters:
    `title` - the Chapter title (as a `String`)
    `number` - the Chapter number

### Chapter

    public Chapter(java.util.Properties attributes,
                   int number)

  Creates a new `Chapter` following a set of attributes.

  Parameters:
    `attributes` - the attributes
    `number` - a userdefined Chapter number

Method Detail

### type

    public int type()

  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Overrides:
    `type` in class `Section`
  Returns:
    a type

### isTag

    public static boolean isTag(java.lang.String tag)

  Checks if a given tag corresponds with this object.

  Parameters:
    `tag` - the given tag
  Returns:
    true if the tag corresponds